Bug 218389 - Python error when reloading sound modules
Python error when reloading sound modules
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
6
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-04 18:57 EST by Jerry James
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-07 10:55:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2006-12-04 18:57:58 EST
Description of problem:
I am trying to track down a problem where my soundcard works on some boots and
not on others.  While running system-config-soundcard during a session when the
card did not work, I tried pushing the "Reload audio drivers" button on the
"System" tab.  I got an error dialog indicating that the reload failed.  Upon
exiting, I found that scsrun.log shows the following Python error:

Traceback (most recent call last):
  File "/usr/share/system-config-soundcard/soundcard.py", line 705, in
create_system_page_modules_reload
    self.create_system_page_redetect(widget)
AttributeError: childWindow instance has no attribute 'create_system_page_redetect'

Version-Release number of selected component (if applicable):
system-config-soundcard-2.0.5-2.fc6

How reproducible:
Always

Steps to Reproduce:
1. Run system-config-soundcard
2. Switch to the "System" tab
3. Press the "Reload audio drivers" button
4. Examine the contents of scsrun.log

Actual results:
The log shows a Python error

Expected results:
No error.

Additional info:
Comment 1 Martin Stransky 2006-12-07 10:55:06 EST
Thanks, this code souldn't be there.

Note You need to log in before you can comment on or make changes to this bug.